commit: a581c9de383609360745d9af8808d35a9f229260
Author: Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 26 19:29:19 2026 +0000
Commit: Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Thu Mar 12 15:21:00 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a581c9de
cvs.eclass: use eapi9-pipestatus rather than assert
Preliminary work for EAPI 9, which bans the latter.
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>
eclass/cvs.eclass | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/eclass/cvs.eclass b/eclass/cvs.eclass
index 007240e6ba25..d950a5500ce0 100644
--- a/eclass/cvs.eclass
+++ b/eclass/cvs.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: cvs.eclass
@@ -14,7 +14,7 @@
# directly, I'd be interested to hear about it.
case ${EAPI} in
- 7|8) ;;
+ 7|8) inherit eapi9-pipestatus ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -489,7 +489,7 @@ cvs_src_unpack() {
LC_ALL=C sort | \
sha1sum | \
awk '{print $1}'
- assert
+ pipestatus || die
)
# If the directory is empty, remove it; empty directories cannot